************************************************************************
* File: somma2.for
************************************************************************
* Scopo: primo esempio uso cicli DO (con limiti fissi)
************************************************************************

      PROGRAM SommaNumeri
* legge N numeri da tastiera e ne stampa la somma

* Istruzioni dichiarative
      IMPLICIT NONE

*   Dichiarazioni costanti
      INTEGER N
      PARAMETER (N = 5)

*   Dichiarazioni variabili
      INTEGER dato, somma, i,

* Inizializzazione variabili
      DATA somma/0/

* Istruzioni esecutive
      WRITE (*,*) 'Immettere ', N, ' interi!'

      DO 10 i = 1, N
        READ (*,*) dato
* NOTA: occorre digitare RETURN dopo ogni numero intero
        somma = somma + dato
 10   CONTINUE

      WRITE (*,*) 'somma : ', somma
      STOP

      END
